# use appimage from https://github.com/staniel359/muffon/releases
%define __os_install_post %{nil}

Name:	muffon
Version:	1.6.0
Release:	%mkrel 1
License:	GPLv3
Group:	Sound
Summary:	Streaming Music Client
Url: 		https://github.com/staniel359/muffon/releases
Source1:    %{name}.desktop
Source2:   %{name}.png

%description
A streaming audio client from various sources.

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/staniel359/muffon/releases/download/v%{version}/muffon-%{version}-linux-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/muffon-%{version}-linux-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus


%changelog
* Thu Jun 08 2023 tex - 1.6.0-1pclos2023
- create pkg
